lucene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From uschind...@apache.org
Subject svn commit: r1400913 - in /lucene/cms/trunk: content/core/systemreqs.mdtext templates/solrnav.mdtext
Date Mon, 22 Oct 2012 15:20:08 GMT
Author: uschindler
Date: Mon Oct 22 15:20:07 2012
New Revision: 1400913

URL: http://svn.apache.org/viewvc?rev=1400913&view=rev
Log:
Remove the system requirements page and prelace by a simple list of release specific pages

Modified:
    lucene/cms/trunk/content/core/systemreqs.mdtext
    lucene/cms/trunk/templates/solrnav.mdtext

Modified: lucene/cms/trunk/content/core/systemreqs.mdtext
URL: http://svn.apache.org/viewvc/lucene/cms/trunk/content/core/systemreqs.mdtext?rev=1400913&r1=1400912&r2=1400913&view=diff
==============================================================================
--- lucene/cms/trunk/content/core/systemreqs.mdtext (original)
+++ lucene/cms/trunk/content/core/systemreqs.mdtext Mon Oct 22 15:20:07 2012
@@ -1,27 +1,5 @@
 #System Requirements
 
-Lucene version 4.x and above has the following minimum requirements (for later versions,
see the corresponding per-release documentation):
-
-- Java 6 or greater. When using Java 7, be sure to install at least Update 1! With all Java
versions it is strongly recommended to not use experimental "-XX" JVM options.
-- ANT 1.8.2 or greater.
-- CPU, Disk and Memory requirements are based on the many choices made in implementing Lucene
(document size, number of documents, and number of hits retrieved to name a few.)
-    The benchmarks page has some information related to performance on particular platforms.
-
-Lucene version 3.x has the following minimum requirements:
-
-- Java 1.5.x or greater.
-- ANT 1.7 or greater.
-- CPU, Disk and Memory requirements are based on the many choices made in implementing Lucene
(document size, number of documents, and number of hits retrieved to name a few.)
-    The benchmarks page has some information related to performance on particular platforms.
-
-Lucene until version 2.9.x has the following minimum requirements (for later versions, see
the corresponding per-release documentation):
-
-- Java 1.4.x or greater.
-- ANT 1.6.3 or greater.
-- JUnit 3.8.2 if you wish to run the unit tests.
-- CPU, Disk and Memory requirements are based on the many choices made in implementing Lucene
(document size, number of documents, and number of hits retrieved to name a few.)
-    The benchmarks page has some information related to performance on particular platforms.
-Also, the <a href="http://svn.apache.org/viewvc/lucene/dev/trunk/lucene/benchmark/">benchmark</a>
module has code related to benchmarking a standard set of documents.
-
-
-Other modules may have other requirements, refer to their documentation and build files for
information.
+The system requirements of the various Lucene releases are listed on their documentation
pages:
+- [4.0](./4_0_0/SYSTEM_REQUIREMENTS.html)
+- [3.6.1](./3_6_1/systemrequirements.html)

Modified: lucene/cms/trunk/templates/solrnav.mdtext
URL: http://svn.apache.org/viewvc/lucene/cms/trunk/templates/solrnav.mdtext?rev=1400913&r1=1400912&r2=1400913&view=diff
==============================================================================
--- lucene/cms/trunk/templates/solrnav.mdtext (original)
+++ lucene/cms/trunk/templates/solrnav.mdtext Mon Oct 22 15:20:07 2012
@@ -1,7 +1,7 @@
 # Resources
   - [Features](./features.html)
   - [Tutorial](./tutorial.html)
-  - [Javadocs](./documentation.html)
+  - [Release Documentation](./documentation.html)
   - [Version Control](./versioncontrol.html)
   - [Books](./books.html)
   - [Screenshots](./screenshots.html)



Mime
View raw message